#!/bin/sh 

set -e

[ -z "${RCLONE_REMOTE}" ] && echo "\$RCLONE_REMOTE is not set" && exit 1
[ -z "${RCLONE_CONFIG}" ] && echo "\$RCLONE_CONFIG is not set" && exit 1
[ -z "${RESTIC_PASSWORD}" ] && echo "\$RESTIC_PASSWORD is not set" && exit 1

echo "Init new repo"

restic -r "rclone:$RCLONE_REMOTE" init

echo "Created new repo at $RCLONE_REMOTE"
